ENameSelector
3
LIBEDATASERVERUI Library

# ENameSelector

## Synopsis

                        ENameSelector;
    ENameSelector*      e_name_selector_new                 (void);
    ENameSelectorModel* e_name_selector_peek_model          (ENameSelector *name_selector);
    ENameSelectorDialog* e_name_selector_peek_dialog        (ENameSelector *name_selector);
    ENameSelectorEntry* e_name_selector_peek_section_entry  (ENameSelector *name_selector,
                                                             const gchar *name);
    ENameSelectorList*  e_name_selector_peek_section_list   (ENameSelector *name_selector,
                                                             const gchar *name);

## Object Hierarchy

      GObject
       +----ENameSelector

## Description

## Details

### ENameSelector

    typedef struct _ENameSelector ENameSelector;

### e_name_selector_new ()

    ENameSelector*      e_name_selector_new                 (void);

Creates a new ENameSelector.

Returns :

  A new ENameSelector.

### e_name_selector_peek_model ()

    ENameSelectorModel* e_name_selector_peek_model          (ENameSelector *name_selector);

Gets the ENameSelectorModel used by `name_selector`.

`name_selector` :

  an ENameSelector

Returns :

  The ENameSelectorModel used by `name_selector`.

### e_name_selector_peek_dialog ()

    ENameSelectorDialog* e_name_selector_peek_dialog        (ENameSelector *name_selector);

Gets the ENameSelectorDialog used by `name_selector`.

`name_selector` :

Returns :

  The ENameSelectorDialog used by `name_selector`.

### e_name_selector_peek_section_entry ()

    ENameSelectorEntry* e_name_selector_peek_section_entry  (ENameSelector *name_selector,
                                                             const gchar *name);

Gets the ENameSelectorEntry for the section specified by `name`.

`name_selector` :

  an ENameSelector

`name` :

  the name of the section to peek

Returns :

  The ENameSelectorEntry for the named section, or `NULL` if it doesn't exist in the ENameSelectorModel.

### e_name_selector_peek_section_list ()

    ENameSelectorList*  e_name_selector_peek_section_list   (ENameSelector *name_selector,
                                                             const gchar *name);

Gets the ENameSelectorList for the section specified by `name`.

`name_selector` :

  an ENameSelector

`name` :

  the name of the section to peek

Returns :

  The ENameSelectorList for the named section, or `NULL` if it doesn't exist in the ENameSelectorModel.